<template>
    <div>
        <div class="push-component-container">
            <div class="table-responsive">
                <table class="table-hover">
                    <thead class="table-header">
                    <tr>
                        <th>Reminders</th>
                        <th>Sent</th>
                        <th>Clicked</th>
                        <th>CTR, %</th>
                        <th>Open Rate, %</th>
                        <th>Revenue</th>
                        <th>Active</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody class="table-body">
                    <tr class="table-body-row">
                        <th>
                           <div class="counter-text">1st</div>
                           <div class="last-seen">in 1 minute</div>
                        </th>
                        <th>0</th>
                        <th>0</th>
                        <th>-</th>
                        <th>-</th>
                        <th>0</th>
                        <th>0.00</th>
                        <th><ToggleButton :font-size="12"  class="toggle-btn" :height="24" :labels="true" color="rgb(45, 119, 245)"></ToggleButton></th>
                        <th>
                            <button class="btn edit-btn">Edit</button>
                        </th>
                    </tr>
                    <tr class="table-body-row">
                        <th>
                            <div class="counter-text">2nd</div>
                            <div class="last-seen">in 1 minute</div>
                        </th>
                        <th>0</th>
                        <th>0</th>
                        <th>-</th>
                        <th>-</th>
                        <th>0</th>
                        <th>0.00</th>
                        <th><ToggleButton :font-size="12"  class="toggle-btn" :height="24" :labels="true" color="rgb(45, 119, 245)"></ToggleButton></th>
                        <th>
                            <button class="btn edit-btn">Edit</button>
                        </th>
                    </tr>
                    <tr class="table-body-row">
                        <th>
                            <div class="counter-text">3rd</div>
                            <div class="last-seen">in 1 minute</div>
                        </th>
                        <th>0</th>
                        <th>0</th>
                        <th>-</th>
                        <th>-</th>
                        <th>0</th>
                        <th>0.00</th>
                        <th><ToggleButton :font-size="12"  class="toggle-btn" :height="24" :labels="true" color="rgb(45, 119, 245)"></ToggleButton></th>
                        <th>
                            <button class="btn edit-btn">Edit</button>
                        </th>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "AbandonedTable"
}
</script>

<style scoped lang="scss">

.push-component-container {
    display: flex;
    justify-content: space-between;
    @media screen and (max-width: 1230px) {
        flex-direction: column-reverse;
    }
}

.table-hover {
    min-width: 1080px;
    width: 100%;
    -webkit-box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    background: transparent;
    border-spacing: 0;
    border-collapse: collapse;


    th {
        padding: 18px 10px;
        margin-bottom: 5px;
        font-weight: 500;
        text-align: center;
    }
    .counter-text {
        text-align: start;
        font-size: 18px;
        font-weight: 600;
        margin-left: 10px;
    }
    .last-seen {
        text-align: start;
        font-weight: normal;
        font-size: 12px;
        margin-left: 10px;
        color: #98A0A6;
    }

    thead {
        th {
            font-weight: bold;
            font-size: 14px;
        }
    }
}

tr {
    border-radius: 10px;
}

.toggle-btn {
    margin-bottom: 0;
    font-weight: bold;
}

.edit-btn {
    background: #DAE7FF;
    color: #4786FF;
    padding: 9px 22px;
    border-radius: 5px;
    font-weight: bold;
    font-size: 14px;
    &:hover {
        background: #4786FF;
        color: #ffffff;
    }
}

.table-hover tr {
    border-bottom: 3px solid #F5F6FA;
    border-radius: 10px;
}

.active-all {
    font-weight: 600;
    color: #4786FF;
}

.text-subscribers {
    color: #8492a6;
}

.filter-container {
    margin-top: 25px;
    min-width: 220px;
    display: flex;
    justify-content: space-between;
}

.table-header {
    padding: 10px;
}

.table-body {
    background: white;
    border-radius: 10px;

    &:hover {
        background: #fbfcfd;
    }
}

.table-hover tbody tr:hover {
    background-color: #fbfcfd;
}

</style>
